Share problems and solutions with other users

Upgrade jump from older versions

I have SoundSoap 2.2. After a very long break from utilization, do I have to install and pay for all the upgrades to 5+, or can I just install the later?

2 votes
Vote
Sign in
(thinking…)
Password icon
Signed in as (Sign out)
You have left! (?) (thinking…)
R. Livingston shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

0 comments

Sign in
(thinking…)
Password icon
Signed in as (Sign out)
Submitting...

Feedback and Knowledge Base